actions: []
api_documentation: http://docs.ros.org/en/kinetic/api/joint_state_publisher/html
authors: David V. Lu!! <davidvlu@gmail.com>, Jackie Kay <jacquelinekay1@gmail.com>
brief: ''
bugtracker: https://github.com/ros/joint_state_publisher/issues
depends:
- catkin
- rospy
- sensor_msgs
depends_on:
- abb_irb1200_5_90_moveit_config
- abb_irb1200_7_70_moveit_config
- abb_irb1200_support
- abb_irb120_moveit_config
- abb_irb120_support
- abb_irb120t_moveit_config
- abb_irb1600_6_12_moveit_config
- abb_irb1600_support
- abb_irb2400_moveit_config
- abb_irb2400_support
- abb_irb2600_support
- abb_irb4400_support
- abb_irb4600_support
- abb_irb52_support
- abb_irb5400_support
- abb_irb6600_support
- abb_irb6640_moveit_config
- abb_irb6640_support
- abb_irb6650s_support
- abb_irb6700_support
- abb_irb7600_support
- armadillo2_moveit_config
- choreo_kr150_2_workspace_moveit_config
- choreo_kr5_arc_workspace_moveit_config
- cob_bringup
- cob_gazebo_worlds
- cob_hardware_config
- cob_moveit_bringup
- cob_obstacle_distance
- crane_x7_moveit_config
- denso_robot_moveit_config
- dual_xarm6_moveit_config
- fanuc_cr35ia_support
- fanuc_cr7ia_moveit_config
- fanuc_cr7ia_support
- fanuc_cr7ial_moveit_config
- fanuc_lrmate200i_moveit_config
- fanuc_lrmate200i_support
- fanuc_lrmate200ib3l_moveit_config
- fanuc_lrmate200ib_moveit_config
- fanuc_lrmate200ib_support
- fanuc_lrmate200ic5h_moveit_config
- fanuc_lrmate200ic5l_moveit_config
- fanuc_lrmate200ic_moveit_config
- fanuc_lrmate200ic_support
- fanuc_lrmate200id7l_moveit_config
- fanuc_lrmate200id_moveit_config
- fanuc_lrmate200id_support
- fanuc_m10ia_moveit_config
- fanuc_m10ia_support
- fanuc_m16ib20_moveit_config
- fanuc_m16ib_support
- fanuc_m20ia10l_moveit_config
- fanuc_m20ia_moveit_config
- fanuc_m20ia_support
- fanuc_m20ib25_moveit_config
- fanuc_m20ib_support
- fanuc_m430ia2f_moveit_config
- fanuc_m430ia2p_moveit_config
- fanuc_m430ia_support
- fanuc_m6ib_moveit_config
- fanuc_m6ib_support
- fanuc_m710ic_additive_manufacturing_moveit_config
- fanuc_m710ic_additive_manufacturing_support
- fanuc_m710ic_support
- fanuc_m900ia_support
- fanuc_m900ib_support
- fanuc_r1000ia80f_moveit_config
- fanuc_r1000ia_support
- fanuc_r2000ib_support
- flir_ptu_viz
- framefab_irb6600_workspace_moveit_config
- franka_control
- fsrobo_r_description
- fsrobo_r_moveit_config
- grizzly_viz
- gundam_rx78_description
- heron_viz
- hsr_description
- husky_viz
- innok_heros_description
- jackal_viz
- joint_state_publisher_gui
- khi_duaro_moveit_config
- khi_rs007l_moveit_config
- khi_rs007n_moveit_config
- khi_rs080n_moveit_config
- kr6_r900_mit_suction_gripper_moveit_config
- kr6_r900_workspace_moveit_config
- kuka_kr10_support
- kuka_kr120_support
- kuka_kr150_support
- kuka_kr16_support
- kuka_kr210_support
- kuka_kr3_support
- kuka_kr5_support
- kuka_kr6_support
- kuka_lbr_iiwa_support
- leo_viz
- magni_description
- manipulator_h_bringup
- manipulator_h_description
- melfa_description
- mir_description
- mir_gazebo
- moose_gazebo
- motoman_bmda3_support
- motoman_csda10f_moveit_config
- motoman_csda10f_support
- motoman_epx_support
- motoman_gp12_support
- motoman_gp180_support
- motoman_gp25_support
- motoman_gp50_support
- motoman_gp7_support
- motoman_gp88_support
- motoman_gp8_support
- motoman_hc10_support
- motoman_hc20_support
- motoman_mh12_support
- motoman_mh50_support
- motoman_mh5_support
- motoman_mh_support
- motoman_mhj_support
- motoman_motomini_support
- motoman_mpl80_moveit_config
- motoman_mpl_support
- motoman_sda10f_moveit_config
- motoman_sda10f_support
- motoman_sia10d_support
- motoman_sia10f_support
- motoman_sia20d_moveit_config
- motoman_sia20d_support
- motoman_sia50_support
- motoman_sia5d_moveit_config
- motoman_sia5d_support
- moveit_config_m0609
- moveit_config_m0617
- moveit_config_m1013
- moveit_config_m1509
- moveit_resources
- moveit_resources_fanuc_moveit_config
- moveit_resources_panda_moveit_config
- moveit_resources_prbt_moveit_config
- nao_moveit_config
- nextage_calibration
- niryo_one_moveit_config
- noid_typef_moveit_config
- op3_description
- open_manipulator_description
- open_manipulator_moveit
- open_manipulator_p_description
- open_manipulator_with_tb3_description
- open_manipulator_with_tb3_tools
- open_manipulator_with_tb3_waffle_moveit
- open_manipulator_with_tb3_waffle_pi_moveit
- panda_moveit_config
- pepper_moveit_config
- pr2_moveit_config
- prbt_moveit_config
- raspimouse_description
- rb1_dual_ur3_moveit_config
- rh_p12_rn_description
- ridgeback_viz
- robot_model
- roch_viz
- romeo_moveit_config
- roomblock_description
- rsv_balance_viz
- rv4fl_moveit_config
- rv7fl_moveit_config
- seed_r7_moveit_config
- seed_r7_typef_moveit_config
- seed_r7_typeg_moveit_config
- sr_box_ur10_moveit_config
- sr_moveit_hand_config
- sr_multi_moveit_config
- sr_multi_moveit_test
- sr_robot_launch
- staubli_rx160_moveit_config
- staubli_rx160_support
- staubli_tx2_60_support
- staubli_tx2_90_support
- staubli_tx60_support
- staubli_tx90_support
- summit_xl_j2s6s200_moveit_config
- summit_xl_j2s7s300_moveit_config
- svenzva_moveit
- thormang3_description
- toposens_bringup
- toposens_description
- tra1_description
- tra1_moveit_config
- turtlebot3_automatic_parking_vision
- turtlebot3_bringup
- turtlebot3_manipulation_description
- turtlebot3_manipulation_moveit_config
- turtlebot3_manipulation_navigation
- turtlebot3_manipulation_slam
- turtlebot_arm_moveit_config
- turtlebot_rviz_launchers
- ur10_e_moveit_config
- ur10_moveit_config
- ur3_e_moveit_config
- ur3_moveit_config
- ur5_e_moveit_config
- ur5_moveit_config
- ur_description
- ur_e_description
- urdf_tutorial
- warthog_gazebo
- warthog_viz
- x_demo
- xarm5_gripper_moveit_config
- xarm5_moveit_config
- xarm5_vacuum_gripper_moveit_config
- xarm6_gripper_moveit_config
- xarm6_moveit_config
- xarm6_vacuum_gripper_moveit_config
- xarm7_gripper_moveit_config
- xarm7_moveit_config
- xarm7_vacuum_gripper_moveit_config
- xarm_gripper
- xbot_description
description: This package contains a tool for setting and publishing joint state values
  for a given URDF.
devel_jobs:
- http://build.ros.org/view/Kdev/job/Kdev__joint_state_publisher__ubuntu_xenial_amd64
doc_job: http://build.ros.org/view/Kdoc/job/Kdoc__joint_state_publisher__ubuntu_xenial_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Chris Lalancette <clalancette@osrfoundation.org>, Shane Loretz <sloretz@osrfoundation.org>
metapackages:
- robot_model
- moveit_resources
msgs: []
package_type: package
release_jobs:
- http://build.ros.org/view/Ksrc_uX/job/Ksrc_uX__joint_state_publisher__ubuntu_xenial__source
- http://build.ros.org/view/Kbin_uX32/job/Kbin_uX32__joint_state_publisher__ubuntu_xenial_i386__binary
- http://build.ros.org/view/Kbin_uX64/job/Kbin_uX64__joint_state_publisher__ubuntu_xenial_amd64__binary
- http://build.ros.org/view/Kbin_uxhf_uXhf/job/Kbin_uxhf_uXhf__joint_state_publisher__ubuntu_xenial_armhf__binary
- http://build.ros.org/view/Kbin_uxv8_uXv8/job/Kbin_uxv8_uXv8__joint_state_publisher__ubuntu_xenial_arm64__binary
repo_name: joint_state_publisher
repo_url: https://github.com/ros/joint_state_publisher
srvs: []
timestamp: 1607830505.7613823
url: http://www.ros.org/wiki/joint_state_publisher
vcs: git
vcs_uri: https://github.com/ros/joint_state_publisher.git
vcs_version: kinetic-devel
